> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 验证 Suno 声音

> 从人声样本中提取验证短语

提交一段可公开访问的录音，并通过 `vocal_start_s` 和 `vocal_end_s` 选取一段干净的人声片段。完成后的结果包含 `validate_info`；使用返回的 `task_id` 调用[生成声音](https://docs.poyo.ai/zh/api-manual/music-series/voice/generate.md)或[重新生成短语](https://docs.poyo.ai/zh/api-manual/music-series/voice/regenerate.md)。


## OpenAPI

````yaml zh/api-manual/music-series/voice/validate.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo Suno Voice 验证 API
  version: 1.0.0
  description: 验证声音样本并获取验证短语。
servers:
  - url: https://api.poyo.ai
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      summary: 验证声音样本
      operationId: submitSunoVoiceValidate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Request'
            example:
              model: suno-voice-validate
              input:
                voice_url: https://example.com/voice.mp3
                vocal_start_s: 0
                vocal_end_s: 20
                language: en
      responses:
        '200':
          description: 已提交
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              example:
                code: 200
                data:
                  task_id: voice_validate_task_id
                  status: not_started
                  created_time: '2026-08-27T10:00:00'
components:
  schemas:
    Request:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          enum:
            - suno-voice-validate
        callback_url:
          type: string
          format: uri
        input:
          type: object
          additionalProperties: false
          required:
            - voice_url
            - vocal_start_s
            - vocal_end_s
          properties:
            voice_url:
              type: string
              format: uri
              pattern: ^https?://
            vocal_start_s:
              type: integer
              minimum: 0
              description: 开始时间（秒），必须小于 vocal_end_s。
            vocal_end_s:
              type: integer
              minimum: 1
              description: 结束时间（秒），必须大于 vocal_start_s。
            language:
              type: string
              default: en
              enum:
                - en
                - zh
                - es
                - fr
                - pt
                - de
                - ja
                - ko
                - hi
                - ru
    Response:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              description: |-
                任务状态。

                - `not_started`：排队中，等待处理
                - `running`：生成中
                - `finished`：已完成，结果在 `files` 或 `output` 中
                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.